Skip to main content
GET
/
athletes
/
games
Player Game History
curl --request GET \
  --url https://v1.hockey.sportsapipro.com/athletes/games \
  --header 'x-api-key: <api-key>'

Overview

Returns the game-by-game history for a specific hockey player, including scores, opponent, and performance stats.

Code Examples

curl -X GET "https://v1.hockey.sportsapipro.com/athletes/games?athleteId=874&numOfGames=10" \
  -H "x-api-key: YOUR_API_KEY"
Combine with /athletes/top to get player IDs, then fetch their game history.

Authorizations

x-api-key
string
header
required

Your SportsAPI Pro API key

Query Parameters

athleteId
integer
required

Player ID

Example:

874

numOfGames
integer
default:10

Number of games to return

Example:

10

Response

200

Player game history retrieved successfully